none = { }

function none.init(me)
	me.mind.period = 0.5 / me.speed
	me.skills['pc'] = false
	debuginfo.text = ""
end

function none.update_state(me, enemy, dt)
	if (me.mind.dist > 16) then
		me.mind.state = AI_STEP
		return
	end
	if (me.mind.dist < 8) then
		me.mind.state = AI_BACK
		return
	end
	me.mind.state = AI_ATTACK
end

local random_value

function none.update_action(me, enemy, dt)
	param_side = me.mind.side > 0
	if (me.state == nil) then
		if (me.side ~= me.mind.side) then me:action('reverse') end
		-- делаем 1 шаг на игрока
		if (me.mind.state == AI_STEP) then
			random_value = math.random()
			if (random_value < 0.2) then
				me:action('move', param_side);
				me:action('move', param_side); me:action('stop')
			else
				me:action('move', param_side); 	me:action('stop')
			end
		end
		-- делаем 1 шаг назад
		if (me.mind.state == AI_BACK) then
			random_value = math.random()
			if (random_value < 0.4) then
				me:action('move', not param_side);
				me:action('move', not param_side); me:action('stop')
			else
				me:action('move', not param_side); me:action('stop')
			end
		end
	end
end