novice = { }

function novice.init(me)
	me.mind.period = 0.4 / me.speed
	me.skills['pc'] = false
	debuginfo.text = ""
end

function novice.update_state(me, enemy, dt)
	if (me.mind.dist > 16) then
		me.mind.state = AI_STEP
		return
	end
	if (me.mind.dist < 8) then
		me.mind.state = AI_BACK
		return
	end
	me.mind.state = AI_ATTACK
end

local random_value

function novice.update_action(me, enemy, dt)
	param_side = me.mind.side > 0
	if (me.state == nil) then
		if (me.side ~= me.mind.side) then me:action('reverse') end
		-- делаем 1 шаг на игрока
		if (me.mind.state == AI_STEP) then
			me:action('move', param_side)
			me:action('stop')
		end
		-- делаем 1 шаг назад
		if (me.mind.state == AI_BACK) then
			me:action('move', not param_side)
			me:action('stop')
		end
		-- атака
		if (me.mind.state == AI_ATTACK) then
			-- бьем удар или делаем уклон
			random_value = math.random()
			if (random_value > 0.8) then
				me:action('weave')
				-- иногда после уклона добавляем удар
				if (math.random() > 0.4) then
					if (math.random() > 0.7) then me:action('cross') else me:action('jab') end
				end
			else
				-- джебы чаще, чем кроссы
				if (random_value > 0.3) then me:action('jab') else me:action('cross') end
			end
		end
	end
end