amateur = { }

function amateur.init(me)
	me.mind.period = 0.3 / me.speed
	me.skills['pc'] = false
	debuginfo.text = ""
end

function amateur.update_state(me, enemy, dt)
	if (me.mind.dist > 15) then
		me.mind.state = AI_STEP
		return
	end
	if (me.mind.dist < 10) then
		me.mind.state = AI_BACK
		return
	end
	me.mind.state = AI_ATTACK
end

local random_value

function amateur.update_action(me, enemy, dt)
	param_side = me.mind.side > 0
	if (me.state == nil) then
		if (me.side ~= me.mind.side) then me:action('reverse') end
		-- уклоняемся или уходим назад после каждого пропущенного удара
		if (me.prev_state == 'damage') then
			-- от кросса контратакуем уклоном и прямым
			-- от прямого - уклоном и кроссом
			if (me.prev_hit == 'cross') then me:action('move', not param_side); me:action('stop') end
			if (me.prev_hit == 'jab') then
				if (me.mind.dist > 10) then
					me:action('weave'); me:action('cross')
				else
					me:action('block', true);
				end
			end
			return
		end
		-- делаем 1 шаг на игрока
		if (me.mind.state == AI_STEP) then
			me:action('move', param_side)
			me:action('stop')
		end
		-- делаем 1 шаг назад
		if (me.mind.state == AI_BACK) then
			me:action('move', not param_side)
			me:action('stop')
		end
		-- атака
		if (me.mind.state == AI_ATTACK) then
			random_value = math.random()
			-- бьем удар или делаем уклон
			if (random_value > 0.7) then
				me:action('jab')
			else
				-- джебы чаще, чем кроссы
				if (random_value > 0.3) then me:action('jab') else me:action('cross') end
			end
		end
	else
		-- отходим назад за блоком
		if (me.state == 'block') then
			if (me.mind.state ~= AI_STEP) then
				me:action('move', not param_side)
				me:action('stop')
			else
				me:action('block', false)
			end
		end
		-- только что получили в ЩИ кроссом - отвечаем джебом в контр-атаке
		if (me.state == 'damage') then
			if (me.prev_hit == 'cross') then
				if (me.mind.dist < 14) then me:action('jab'); return; end
			end
		end
	end
end