help = { show = false, ctrl_hint = false, controls = { } }

function help.init()
	help.controls[0] = resources.get_sprite("gui", "player")
	help.controls[1] = resources.get_sprite("gui", "player1")
	help.controls[2] = resources.get_sprite("gui", "player2")
end

local left_timer = 0

function help.show_controls()
	left_timer = 2.0
	help.ctrl_hint = true
end

function help.update(dt)
	if (help.ctrl_hint and left_timer > 0) then
		left_timer = left_timer - dt
		if (left_timer <= 0) then help.ctrl_hint = false end
	end
end

local function show_controls_hint(me)
	if (me.controls_mode ~= nil) then
		lg.setColor(color.white)
		lg.draw(help.controls[me.controls_mode][1], help.controls[me.controls_mode][2], me.x - 26, me.y - 40)
	end
end

function help.draw()
	-- справка
	if (not help.show) then
		lg.setColor(color.green)
		--lg.printf(help_info, 2, 2, 100, 'left')
		lg.printf(locale.get_text('help', 'f1'), 2, 2, 100, 'left')
	else
		lg.setColor(color.white)
		--lg.printf(pause_info, 2, 2, 200, 'left')
		lg.printf(locale.get_text('help', 'info'), 2, 2, 200, 'left')
	end
	-- подсказка по управлению
	if (help.ctrl_hint) then
		show_controls_hint(enemy1); show_controls_hint(enemy2);
	end
end

function help.draw_tutor(task)
	lg.printf(locale.get_text('tutorial', task) or "", 10, 76, screen.width-20, 'center')
end