asset.sprites = {
	boxer = { stand = {192,32,24,32}, stance = {0,0,24,32}, },
	gui = {
		-- языки
		eng = {0,96,48,32}, rus = {48,96,48,32},
		-- курсор
		cursor = {82,0,6,6}, hands = {96,96,32,32},
		-- кнопки управления в обучении
		--up = {0,12,6,6}, down = {6,12,6,6}, right = {12,12,6,6}, left = {18,12,6,6}, z = {24,12,6,6}, x = {30,12,6,6}, enter = {36,12,6,6}, restart = {42,12,6,6},
		up = {0,12,6,6}, down = {6,12,6,6}, right = {12,12,6,6}, left = {18,12,6,6}, z = {24,12,6,6}, x = {30,12,6,6}, tab = {35,12,12,6},
		-- кнопки управления во время боя
		player = {55,11,55,8}, player1 = {0,18,55,14}, player2 = {55,19,55,13},
		-- уровни
		abstract = {0,32,32,32}, boxing = {32,32,32,32}, street = {64,32,32,32}, roof = {96,32,32,32}, storage = {0,64,32,32}, pirates = {32,64,32,32}, prison = {64,64,32,32}, park = {96,64,32,32},
		-- кол-во жизней
		lives_icon = {112,16,12,12},
		lives1 = {88,0,8,10}, lives2 = {96,0,8,10}, lives3 = {104,0,8,10}, lives4 = {112,0,8,10}, lives5 = {120,0,8,10},
	},
	logo = { }, logo_icon = { },
	back_menu = { },
	back_select = { },
}

asset.animations = {
	boxer = {
		-- движения в режиме платформера
		stance = { 24,32, {8,1, 8,0, 9,0, 10,0, 11,0, 0,0}, 0.08, },
		walk_reverse = { 24,32, {12,0, 13,0, 14,0, 15,0, 16,0}, {0.065, 0.08, 0.11, 0.08, 0.065,} },
		walk_step = { 24,32, {9,1, 10,1, 11,1, 12,1, 13,1}, 0.075, {'step','step','step2','step','step2'} },
		-- движения в стойке
		reverse_stance = { 24,32, {5,1, 6,1, 7,1}, {0.12, 0.12, 0.12}, {nil,nil,nil,nil} },
		step = { 24,32, {0,0, 1,0, 2,0, 3,0}, {0.04, 0.12, 0.12, 0.04}, {nil,'step','step','step',} },
		jab = { 24,32, {0,0, 0,1, 1,1, 2,1, 3,1, 4,1, 0,0}, {0.11, 0.08, 0.065, 0.05, 0.08, 0.12, 0.1}, {nil,nil,nil,nil,'jab',nil,nil,} },
		cross = { 24,32, {0,0, 0,2, 1,2, 2,2, 3,2, 4,2, 5,2, 0,0}, {0.12, 0.1, 0.065, 0.05, 0.065, 0.1, 0.15, 0.1}, {nil,nil,'step_forw','release','step_forw','cross',nil,nil,} },
		cross_charge = { 24,32, {2,2, 2,2}, {0.5, 0.5}, {nil,nil,} },
		block = { 24,32, {0,0, 0,3, 1,3, 2,3}, {0.03, 0.05, 0.05, 0.04}, {nil,nil,nil,'block',} },
		block_step = { 24,32, {2,3, 4,0, 5,0, 6,0, 7,0, 2,3}, {0.03, 0.04, 0.08, 0.08, 0.04, 0.03,}, {nil,'step',nil,'step',nil,nil} },
		weave = { 24,32, {3,3, 4,3, 5,3, 6,3, 0,0}, {0.04, 0.08, 0.12, 0.15, 0.04}, {nil,'weave_start','step_back','weave_end','step_back',} },
		swoop_forw = { 24,32, {4,4, 5,4, 6,4, 7,4, 0,0}, {0.1, 0.15, 0.1, 0.075, 0.05}, {'step','step2','step3','step2','step'} },
		swoop_back = { 24,32, {0,4, 1,4, 2,4, 3,4}, {0.1, 0.15, 0.125, 0.1}, {nil,'step2','step3','step2','step',} },
		--
		damage_little = { 24,32, {0,5, 2,5}, {0.075, 0.075}, {'can_counter','can_counter',} },
		damage = { 24,32, {0,5, 1,5, 2,5}, {0.075, 0.075, 0.12}, {nil,{'step_back', 'can_counter'},'can_counter',} },
		beatoff = { 24,32, {4,5, 5,5, 6,5, 7,5}, {0.075, 0.08, 0.085, 0.09}, {nil,nil,nil,nil,nil} },
		failure = { 24,32, {4,6, 5,6, 6,6, 7,6, 0,0}, {0.2, 0.225, 0.25, 0.275, 0.3}, {nil,nil,nil,nil,} },
		blocked = { 24,32, {0,6, 1,6, 2,6, 3,6}, {0.05, 0.075, 0.1, 0.1}, {nil,'step_back','step_back',nil,} },
		death = { 24,33, {0,7, 1,7, 2,7, 3,7, 4,7, 5,7, 6,7}, {0.15, 0.13, 0.1, 0.08, 0.1, 0.1, 0.125}, {nil,'step_back3','step_back3','step_back2','step_back2','step_back2','fall_body'} },
	},
}

asset.reskins = {
	boxer = { "boxer_ring", "boxer_street", "boxer_storage", "boxer_pirates", "boxer_prison", "boxer_roof" },
}